package unity8-lxc (not installed) failed to install/upgrade: 子进程 已安装 post-removal 脚本 返回错误状态 1

Bug #1549105 reported by dzqn on 2016-02-24
40
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Unity8 Desktop Preview in LXC
High
Christopher Townsend
unity8-lxc (Ubuntu)
High
Christopher Townsend

Bug Description

ubuntu15.10 do-release-upgrade -d ubuntu16.04

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: unity8-lxc (not installed)
ProcVersionSignature: Ubuntu 4.4.0-6.21-generic 4.4.1
Uname: Linux 4.4.0-6-generic x86_64
ApportVersion: 2.20-0ubuntu3
AptOrdering:
 unity8-lxc: Purge
 NULL: ConfigurePending
Architecture: amd64
Date: Wed Feb 24 12:53:03 2016
ErrorMessage: 子进程 已安装 post-removal 脚本 返回错误状态 1
InstallationDate: Installed on 2016-02-23 (0 days ago)
InstallationMedia: Ubuntu-Kylin 15.10 "Wily Werewolf" - Release amd64 (20151021)
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1
 apt 1.2.3
SourcePackage: unity8-lxc
Title: package unity8-lxc (not installed) failed to install/upgrade: 子进程 已安装 post-removal 脚本 返回错误状态 1
UpgradeStatus: Upgraded to xenial on 2016-02-23 (0 days ago)

Related branches

dzqn (dzqn-yb) wrote :
Christopher Townsend (townsend) wrote :

Hi,

Thanks for reporting this bug. Looks like the unity8-lxc configuration file gets removed by the time the unity8-lxc postrm script runs. Then when lxc-destroy runs, it complains about the missing configuration file. Need to take care of this case.

Changed in unity8-lxc (Ubuntu):
status: New → Triaged
importance: Undecided → High
Changed in unity8-preview-lxc:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Christopher Townsend (townsend)
Changed in unity8-lxc (Ubuntu):
assignee: nobody → Christopher Townsend (townsend)
Changed in unity8-preview-lxc:
status: Triaged → In Progress
Changed in unity8-preview-lxc:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity8-lxc - 1.0.5+16.04.20160407-0ubuntu1

---------------
unity8-lxc (1.0.5+16.04.20160407-0ubuntu1) xenial; urgency=medium

  [ Chris Townsend ]
  * Move the postrm script to prerm script as we need to use lxc-destroy
    before packages and files are purged. (LP: #1549105, #1516394)

 -- Christopher Townsend <email address hidden> Thu, 07 Apr 2016 14:36:00 +0000

Changed in unity8-lxc (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers